Author Topic: My Attempts To Build Qt4  (Read 11623 times)

adf

  • Hero Member
  • *****
  • Posts: 2807
    • View Profile
    • http://
My Attempts To Build Qt4
« Reply #15 on: July 19, 2007, 04:56:03 pm »
[yeah..updating the libs (and hopefully passing them back into pdaxii13) might be agood idea.
**3100 Zubuntu Jaunty,(working on Cacko dualboot), 16G A-Data internal CF, 4G SD, Ambicom WL-1100C Cf, linksys usb ethernet,  BelkinF8T020 BT card, Belkin F8U1500-E Ir kbd, mini targus usb mouse, rechargeble AC/DC powered USB hub, psp cables and battery extenders.

**6000l  Tetsuized Sharprom, installed on internal flash only 1G sd, 2G cf

ernestus

  • Newbie
  • *
  • Posts: 49
    • View Profile
    • http://
My Attempts To Build Qt4
« Reply #16 on: July 20, 2007, 08:05:25 pm »
It looks like the kernel guys would like to have a newer compiler as well, so I am here, well after midnight building a toolchain
Zaurus SL-C3200 running pdaxii13.

ScottYelich

  • Hero Member
  • *****
  • Posts: 992
    • View Profile
    • http://www.zaurususergroup.com/modules.php?opmodload&namephpWiki&filei
My Attempts To Build Qt4
« Reply #17 on: July 21, 2007, 01:12:22 pm »
I'm waiting anxiously -- I haven't upgraded my my zauruses in about 2 years now.
Having Qt4 available would be the trigger for me to upgrade.

Scott

Civil

  • Full Member
  • ***
  • Posts: 103
    • View Profile
    • http://
My Attempts To Build Qt4
« Reply #18 on: July 22, 2007, 08:01:51 pm »
By the way, I've managed to compile qt-4.3.0 on my zaurus's gentoo (glibc 2.5, gcc-4.1.2, eabi).
Zaurus C-3100 ( Gentoo 2007.0 eabi, kernel 2.6.21.6)
http://www.zavrik.info - Russian Zaurus Site.

kkazakov13

  • Sr. Member
  • ****
  • Posts: 408
    • View Profile
My Attempts To Build Qt4
« Reply #19 on: July 23, 2007, 02:31:42 am »
Quote
By the way, I've managed to compile qt-4.3.0 on my zaurus's gentoo (glibc 2.5, gcc-4.1.2, eabi).
[div align=\"right\"][a href=\"index.php?act=findpost&pid=165260\"][{POST_SNAPBACK}][/a][/div]

And ... ? We all know it compiles everywhere else , except pdaxrom
SL-C3200 ** FOR SALE :( **
https://www.oesf.org/forum/index.php?showtopic=25969

Canon K30225 CF wireless card
Taxan iTax-LAN10 wired card
My packages for customized pdaXrom beta 3

ernestus

  • Newbie
  • *
  • Posts: 49
    • View Profile
    • http://
My Attempts To Build Qt4
« Reply #20 on: July 23, 2007, 04:40:05 am »
Quote
Quote
By the way, I've managed to compile qt-4.3.0 on my zaurus's gentoo (glibc 2.5, gcc-4.1.2, eabi).
[div align=\"right\"][a href=\"index.php?act=findpost&pid=165260\"][{POST_SNAPBACK}][/a][/div]

And ... ? We all know it compiles everywhere else , except pdaxrom
[div align=\"right\"][a href=\"index.php?act=findpost&pid=165272\"][{POST_SNAPBACK}][/a][/div]

Not for too long, I hope
Zaurus SL-C3200 running pdaxii13.

ernestus

  • Newbie
  • *
  • Posts: 49
    • View Profile
    • http://
My Attempts To Build Qt4
« Reply #21 on: July 23, 2007, 05:21:02 am »
Some problems compiling glibc
=========================

Well, I managed to compile:
1 - The last binutils,
2 - The last GCC (4.2.1, released just 4 days ago, without glibc support)

so the two other steps needed to have the complete toolchain are:

3- Compiling glibc (this is the problematic point read more)
4- Compiling GCC 4.2.1 again with glibc support (to be honest, once point 2 has succeeded, I don't expect problems here)

The amazing case of the problematic point 3
----------------------------------------------------------------

Well, when the build of glibc failed I thought it was related to GCC 4.2.1, many times, the latest compiler is not able to compile glibc, so I tried to build it with the 3.4.6 tool chain available somewhere in the forum, with the same result.

I am quite sure the problem is related to the  unexistence of glibc-linuxthreads-2.6, does anyone know what happened to it, I cannot find it anywhere? I am tempted to use the one for glibc 2.5 instead (will try this evening), but I am reluctant to do so, because of the possible stability issues (may trigger very difficult to find bugs, thread related issues are very hairy matters)

I may go back to glibc 2.5 (but, this is not the COOLEST, LATEST and GREATEST release)

Choosing the target
----------------------------

Another question, I've built the compiler with options for softfloat and xscale, there is another very interesting one iwmmx:
- does anyone know what is the difference of compiling for a iwmmx target insead of a xscale one? both are exclusive, OR you compile for a xcale target OR you compile for a iwmmx target, not both. My guess is that choosing the iwmmx target may produce code able to run in iwmmx enabled PXA's but not in others, but I may be wrong.
- how can it render the compiler incompatible with older pxa devices?

Any hint is appreciated.

thanks all
E
« Last Edit: July 23, 2007, 05:38:04 am by ernestus »
Zaurus SL-C3200 running pdaxii13.

Civil

  • Full Member
  • ***
  • Posts: 103
    • View Profile
    • http://
My Attempts To Build Qt4
« Reply #22 on: July 23, 2007, 10:34:31 am »
Quote
I am quite sure the problem is related to the unexistence of glibc-linuxthreads-2.6
Linuxthreads was removed. Use NPTL instead of it.

Quote
Another question, I've built the compiler with options for softfloat and xscale, there is another very interesting one iwmmx:
- does anyone know what is the difference of compiling for a iwmmx target insead of a xscale one? both are exclusive, OR you compile for a xcale target OR you compile for a iwmmx target, not both. My guess is that choosing the iwmmx target may produce code able to run in iwmmx enabled PXA's but not in others, but I may be wrong.
- how can it render the compiler incompatible with older pxa devices?
armv5te compiler can generate code with march=iwmmxt, march=xscale and march=armv5te.
« Last Edit: July 23, 2007, 10:36:05 am by Civil »
Zaurus C-3100 ( Gentoo 2007.0 eabi, kernel 2.6.21.6)
http://www.zavrik.info - Russian Zaurus Site.

ernestus

  • Newbie
  • *
  • Posts: 49
    • View Profile
    • http://
My Attempts To Build Qt4
« Reply #23 on: July 23, 2007, 10:39:53 am »
Quote
Quote
I am quite sure the problem is related to the unexistence of glibc-linuxthreads-2.6
Linuxthreads was removed. Use NPTL instead of it.
[div align=\"right\"][a href=\"index.php?act=findpost&pid=165283\"][{POST_SNAPBACK}][/a][/div]

Yes, I do, but the compilation then fails because of undeclared symbols that I think are related to linuxthreads. Maybe I need a header or something like that.

I will post the precise error tonight.
« Last Edit: July 23, 2007, 10:41:34 am by ernestus »
Zaurus SL-C3200 running pdaxii13.

speculatrix

  • Administrator
  • Hero Member
  • *****
  • Posts: 3703
    • View Profile
My Attempts To Build Qt4
« Reply #24 on: May 06, 2008, 05:55:05 pm »
Gemini 4G/Wi-Fi owner, formerly zaurus C3100 and 860 owner; also owner of an HTC Doubleshot, a Zaurus-like phone.